Bug 615849 - Review Request: oflb-icelandic-fonts - Icelandic Magical Staves
Summary: Review Request: oflb-icelandic-fonts - Icelandic Magical Staves
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 477398
TreeView+ depends on / blocked
 
Reported: 2010-07-19 05:40 UTC by Parag Nemade
Modified: 2010-07-22 05:33 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-22 05:33:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sanjay.ankur: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Parag Nemade 2010-07-19 05:40:24 UTC
Spec URL: http://paragn.fedorapeople.org/fedora-work/SPECS/oflb-icelandic-fonts.spec
SRPM URL: http://paragn.fedorapeople.org/fedora-work/SRPMS/oflb-icelandic-fonts-1.001-9.fc13.src.rpm
Description:
A font that includes most "magical" staves that have been "used" in Iceland.
Original drawings from the Museum of Sorcery & Witchcraft web site at
www.galdrasyning.is/.

Comment 1 Ankur Sinha (FranciscoD) 2010-07-19 10:37:37 UTC
+ OK
- NA 
? ISSUE

+ Package meets naming and packaging guidelines
+ Spec file matches base package name.
+ Spec has consistant macro usage.
+ Meets Packaging Guidelines.
+ License
+ License field in spec matches
+ License file included in package
+ Spec in American English
+ Spec is legible.
- Sources match upstream md5sum:

- Package needs ExcludeArch
+ BuildRequires correct
- Spec handles locales/find_lang
- Package is relocatable and has a reason to be.
+ Package has %defattr and permissions on files is good.
? Package has a correct %clean section.
? Package has correct buildroot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+ Package is code or permissible content.
- Doc subpackage needed/used.
+ Packages %doc files don't affect runtime.

- Headers/static libs in -devel subpackage.
- Spec has needed ldconfig in post and postun
- .pc files in -devel subpackage/requires pkgconfig
- .so files in -devel subpackage.
- -devel package Requires: %{name} = %{version}-%{release}
- .la files are removed.

- Package is a GUI app and has a .desktop file

+ Package compiles and builds on at least one arch.
+ Package has no duplicate files in %files.
+ Package doesn't own any directories other packages own.
+ Package owns all the directories it creates.
? No rpmlint output.

SHOULD Items:

+ Should build in mock.
- Should build on all supported archs
- Should function as described.
- Should have sane scriptlets.
- Should have subpackages require base package with fully versioned depend.
+ Should have dist tag
- Should package latest version
- check for outstanding bugs on package. (For core merge reviews)

Issues:

1. Again, please make sure the package is for F13+ since you're not using a clean section etc. 

2. rpmlint output:

[Ankur@localhost SPECS]$ rpmlint oflb-icelandic-fonts.spec ../SRPMS/oflb-icelandic-fonts-1.001-9.fc13.src.rpm /var/lib/mock/fedora-rawhide-i386/result/*.rpm
oflb-icelandic-fonts.spec: W: no-cleaning-of-buildroot %install
oflb-icelandic-fonts.spec: W: no-cleaning-of-buildroot %clean
oflb-icelandic-fonts.spec: W: no-buildroot-tag
oflb-icelandic-fonts.spec: W: no-%clean-section
oflb-icelandic-fonts.spec: W: invalid-url Source0: http://openfontlibrary.org/people/asyropoulos/asyropoulos_-_Icelandic.otf HTTP Error 404: Not Found
oflb-icelandic-fonts.src: W: spelling-error %description -l en_US staves -> staved, stave, saves
oflb-icelandic-fonts.src: W: spelling-error %description -l en_US www -> WWW, waw, wow
oflb-icelandic-fonts.src: W: spelling-error %description -l en_US galdrasyning -> galvanizing, galligaskins, hydrastinine
oflb-icelandic-fonts.src: W: invalid-url URL: http://openfontlibrary.org/media/files/asyropoulos/238 HTTP Error 404: Not Found
oflb-icelandic-fonts.src: W: no-cleaning-of-buildroot %install
oflb-icelandic-fonts.src: W: no-cleaning-of-buildroot %clean
oflb-icelandic-fonts.src: W: no-buildroot-tag
oflb-icelandic-fonts.src: W: no-%clean-section
oflb-icelandic-fonts.src: W: invalid-url Source0: http://openfontlibrary.org/people/asyropoulos/asyropoulos_-_Icelandic.otf HTTP Error 404: Not Found
oflb-icelandic-fonts.noarch: W: spelling-error %description -l en_US staves -> staved, stave, saves
oflb-icelandic-fonts.noarch: W: spelling-error %description -l en_US www -> WWW, waw, wow
oflb-icelandic-fonts.noarch: W: spelling-error %description -l en_US galdrasyning -> galvanizing, galligaskins, hydrastinine
oflb-icelandic-fonts.noarch: W: invalid-url URL: http://openfontlibrary.org/media/files/asyropoulos/238 HTTP Error 404: Not Found
oflb-icelandic-fonts.src: W: spelling-error %description -l en_US staves -> staved, stave, saves
oflb-icelandic-fonts.src: W: spelling-error %description -l en_US www -> WWW, waw, wow
oflb-icelandic-fonts.src: W: spelling-error %description -l en_US galdrasyning -> galvanizing, galligaskins, hydrastinine
oflb-icelandic-fonts.src: W: invalid-url URL: http://openfontlibrary.org/media/files/asyropoulos/238 HTTP Error 404: Not Found
oflb-icelandic-fonts.src: W: no-cleaning-of-buildroot %install
oflb-icelandic-fonts.src: W: no-cleaning-of-buildroot %clean
oflb-icelandic-fonts.src: W: no-buildroot-tag
oflb-icelandic-fonts.src: W: no-%clean-section
oflb-icelandic-fonts.src: W: invalid-url Source0: http://openfontlibrary.org/people/asyropoulos/asyropoulos_-_Icelandic.otf HTTP Error 404: Not Found
3 packages and 1 specfiles checked; 0 errors, 27 warnings.

Ignorable warnings. 

URL error due to dead font upstream

XXX APPROVED XXX

Comment 2 Parag Nemade 2010-07-21 03:36:16 UTC
Thanks for the review!

New Package CVS Request
=======================
Package Name: oflb-icelandic-fonts
Short Description: Icelandic Magical Staves
Owners: pnemade
Branches: 
InitialCC: i18n-team fonts-sig

Comment 3 Kevin Fenzi 2010-07-21 05:17:14 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Paul Flo Williams 2010-07-21 12:09:45 UTC
This review was done so quickly that I didn't have the chance to say this before.

The spec has these two lines:

#license text extracted from font file
Source3:        License.txt

The Licensing Guidelines say:

"If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc. If the source package does not include the text of the license(s), the packager should contact upstream and encourage them to correct this mistake."

http://fedoraproject.org/wiki/Packaging:LicensingGuidelines

I take this to mean that we can't extract the license from font metadata and package that as a separate file.

Comment 5 Ankur Sinha (FranciscoD) 2010-07-21 12:43:15 UTC
hi Paul,

I'm not sure. Since the License is embedded in the font file itself, extracting it into a LICENSE file to be included into the package looks okay. Since the query has come up, I guess Parag will have to confirm with Legal once, just to be sure. Note: Upstream is DEAD here. 

Ankur

Comment 6 Parag Nemade 2010-07-21 14:10:18 UTC
Paul,
  Please go through http://lists.fedoraproject.org/pipermail/legal/2010-June/001305.html this thread.
  we can extract license and include that as %doc

Comment 7 Parag Nemade 2010-07-22 05:33:48 UTC
Thanks all. Built in rawhide.


Note You need to log in before you can comment on or make changes to this bug.